# Module `wibox.layout.rotate`

### Info:

- Author: Uli Schlachter
- Copyright: 2010 Uli Schlachter
- Release: v3.5.1

## Functions

rotate:draw (wibox, cr, width, height) | Draw this layout
rotate:fit (width, height) | Fit this layout into the given area
rotate:set_widget (widget) | Set the widget that this layout rotates.
rotate:reset () | Reset this layout.
rotate:set_direction (dir) | Set the direction of this rotating layout.
rotate:get_direction () | Get the direction of this rotating layout
new (widget, dir) | Returns a new rotate layout.

## Functions

rotate:draw (wibox, cr, width, height)
  Draw this layout

  ### Parameters:

  - wibox
  - cr
  - width
  - height
rotate:fit (width, height)
  Fit this layout into the given area

  ### Parameters:

  - width
  - height
rotate:set_widget (widget)
  Set the widget that this layout rotates.

  ### Parameters:

  - widget
rotate:reset ()
  Reset this layout. The widget will be removed and the rotation reset.
rotate:set_direction (dir)
  Set the direction of this rotating layout. Valid values are "north", "east", "south" and "west". On an invalid value, this function will throw an error.

  ### Parameters:

  - dir
rotate:get_direction ()
  Get the direction of this rotating layout
new (widget, dir)
  Returns a new rotate layout. A rotate layout rotates a given widget. Use :set_widget() to set the widget and :set_direction() for the direction. The default direction is "north" which doesn't change anything.

  ### Parameters:

  - widget The widget to display (optional)
  - dir The direction to rotate to (optional)

generated by LDoc 1.3